CentOS7安装Vim插件YouCompleteMe

[版权声明] 本站内容采用 知识共享署名-非商业性使用-相同方式共享 3.0 中国大陆 (CC BY-NC-SA 3.0 CN) 进行许可。
部分内容和资源来自网络,纯学习研究使用。如有侵犯您的权益,请及时联系我,我将尽快处理。
如转载请注明来自: Dreamlike博客,本文链接: CentOS7安装Vim插件YouCompleteMe

YouCompleteMe这个Vim插件还真不好安装,挺多坑的,折腾了挺久终于最后用上了。

测试环境:

一、更新Vim

我安装这个插件的时候,提示:YouCompleteMe unavailable : YouCompleteMe unavailable: requires Vim 7.4.1578+

所以不得不把系统自带的Vim更新到8.0

编译参数说明:
--with-features=huge:支持最大特性
--enable-rubyinterp:打开对ruby编写的插件的支持
--enable-pythoninterp:打开对python编写的插件的支持
--enable-python3interp:打开对python3编写的插件的支持
--enable-luainterp:打开对lua编写的插件的支持
--enable-perlinterp:打开对perl编写的插件的支持
--enable-multibyte:打开多字节支持,可以在Vim中输入中文
--enable-cscope:打开对cscope的支持
--with-python-config-dir=/usr/lib64/python2.7/config 指定python 路径
--with-python-config-dir=/usr/lib64/python3.5/config 指定python3路径

注意:必须带上Python编写插件支持,最好带上Python路径,否则使用时会报这个错误:YouCompleteMe unavailable: requires Vim compiled with Python (2.6+ or 3.3+) support

编译安装好Vim后,默然是安装在/usr/local/bin目录下,所以把该目录加入到PATH方便terminal全局使用:

在尾部添加:

然后使环境变量生效:

二、安装Vundle和YouCompleteMe

Vundle是Vim的插件管理工具,官方文档:https://github.com/VundleVim/Vundle.vim

安装步骤很简单:

编辑配置文件

执行插件安装

三、增加配色方案

我这里使用monokai 配色方案 :https://github.com/sickill/vim-monokai

下载对应的monokai.vim 文件 放到 ~/.vim/colors/ 即可

四、安装Clang

(此步骤可选,因为安装这个是为了C语言家族语法补全功能)

五、测试

打开个cpp文件,测试下是否还会报错吧~~

 

如果本文对您有所帮助,可以请作者喝杯咖啡,感谢支持^_^

支付宝支付
微信支付

发表评论

电子邮件地址不会被公开。 必填项已用*标注